package com.ruoyi.web;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.service.CarReviewTaskService;
import com.ruoyi.web.request.CarReviewTaskCreateRequest;
import com.ruoyi.web.request.CarReviewTaskViewRequest;
import com.ruoyi.web.request.SystemReviewTaskViewRequest;
import com.ruoyi.web.response.CarReviewTaskViewResponse;
import com.ruoyi.web.response.SystemReviewTaskViewResponse;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@Api("车辆审查任务")
@RestController
@RequestMapping("/car/review/task")
public class CarReviewTaskController extends BaseController {

    @Autowired
    private CarReviewTaskService carReviewTaskService;

    @ApiOperation("创建车辆审查任务")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @Log(title = "车辆审查任务", businessType = BusinessType.INSERT)
    @RequestMapping(method = RequestMethod.POST, value = "/create")
    public R<String> create(@Validated @RequestBody CarReviewTaskCreateRequest request) {
        carReviewTaskService.createTask(request);
        return R.ok();
    }

    @ApiOperation("查看车辆审查任务详情")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @RequestMapping(method = RequestMethod.POST, value = "/view")
    public R<CarReviewTaskViewResponse> view(@Validated @RequestBody CarReviewTaskViewRequest request) {
        CarReviewTaskViewResponse carReviewTaskViewResponse = carReviewTaskService.viewReviewTask(request.getTaskId());
        return R.ok(carReviewTaskViewResponse);
    }


}
